@echo off

echo **********************************************************
echo *                                                        *
echo *   CONVERT2 - Convert 3.0d older syntax wrapper         *
echo *   (c) 1996 Konstantin Gredeskoul (kig@cyber.com.au)    *
echo *                                                        *
echo **********************************************************
echo.

set EXCLUDE="-x~"

if "%1"=="" goto usage
if "%3"=="" goto translit

:convert

	set DEST="%4"
	if "%4"=="" set DEST="TEMPFILE.TXT"

	if "%1"=="to" goto c_to
	if "%1"=="from" goto c_from

	echo error: expected either to or from as a first argument!
	echo.
	goto usage

:c_to
	       convert -l convert.log -c %2 %EXCLUDE% -o %DEST% %3
	       goto end

:c_from
	       convert -l convert.log -c %2 -r %EXCLUDE% -o %DEST% %3
	       goto end

:translit
	set DEST="%2"
	if "%2"=="" set DEST="TEMPFILE.TXT"
	convert -l convert.log -t %EXCLUDE% -o %DEST% %1
	goto end

:usage
	echo Usage:
	echo    convert2 to codefile file1 [file2]
	echo    convert2 from codefile file1 [file2]
	echo    convert2 file1 [file2]
	echo.
	echo Notes:
	echo    In the first syntax, convert2 will convert directly using code
	echo    file specified as a second argument. In the second syntax
	echo    comvert2 will convert reversely. Finally, in the third syntax
	echo    convert2 will transliterate from English transliterated
	echo    Cyrillic text to a real Cyrillic in CP866 (Alternative)
	echo    code page.
	goto end

:end
set DEST=
set EXCLUDE=
